/**\file DOC-References.h
 * \brief A documentation file containing all external references.
 *
 * This is a special documentation file: it contains no compilable code
 * whatsoever. In particular we use it to define external references.
 */


//class References
//{
    /**Frans A. Oliehoek, Matthijs T. J. Spaan, Christopher Amato, and Shimon Whiteson. 
     * Incremental Clustering and Expansion for Faster Optimal Planning in Decentralized POMDPs. 
     * Journal of Artificial Intelligence Research, 46:449–509, 2013.
     */
    ref refGMAAICE;

    /**Frans A. Oliehoek, Shimon Whiteson, and Matthijs T. J. Spaan. 
     * Approximate Solutions for Factored Dec-POMDPs with Many Agents. 
     * In Proceedings of the Twelfth International Conference on Autonomous Agents and Multiagent Systems, pp. 563–570, 2013.
     */
    ref refFFSPC;

    /**Frans A. Oliehoek, Shimon Whiteson, and Matthijs T. J. Spaan. 
     * Exploiting Structure in Cooperative Bayesian Games. 
     * In Proceedings of the Twenty-Eighth Conference on Uncertainty in Artificial Intelligence, pp. 654–664, August 2012.
     */
    ref refATI;

    /**Frans A. Oliehoek. 
     * Value-Based Planning for Teams of Agents in Stochastic Partially Observable Environments. 
     * Ph.D. Thesis, Informatics Institute, University of Amsterdam, 2010.
     */
    ref refPHD;

    /**Frans A. Oliehoek, Matthijs T. J. Spaan, Jilles Dibangoye, and Christopher Amato. 
     * Heuristic Search for Identical Payoff Bayesian Games. 
     * In Proceedings of the Ninth International Conference on Autonomous Agents and Multiagent Systems, pp. 1115–1122, May 2010.
     */
    ref refBAGABAB;

    /**Frans A. Oliehoek, Shimon Whiteson, and Matthijs T. J. Spaan. 
     * Lossless Clustering of Histories in Decentralized POMDPs. 
     * In Proceedings of the Eighth International Conference on Autonomous Agents and Multiagent Systems, pp. 577–584, May 2009.
     */
    ref refGMAACluster

    /** Optimal and Approximate Q-value functions for Decentralized POMDPs.
     * Frans Oliehoek, Matthijs Spaan, Nikos Vlassis.
     * Journal of Artificial Intelligence Research, vol 32, 2008.
     */
    ref refGMAA;    

    /**Frans A. Oliehoek, Matthijs T. J. Spaan, Shimon Whiteson, and Nikos Vlassis. 
     * Exploiting Locality of Interaction in Factored Dec-POMDPs. 
     * In Proceedings of the Seventh International Conference on Autonomous Agents and Multiagent Systems, pp. 517–524, May 2008.
     * */
    ref refGMAAELSI

    
    /** MAA*: A Heuristic Search Algorithm for Solving Decentralized POMDPs.
    Daniel Szer, Francois Charpillet, Shlomo Zilberstein UAI'2005 - 21st
    Conference on Uncertainty in Artificial Intelligence, Edinburgh, Scotland
    */
    ref refMAA;


    /** The Cross-Entropy Method for Policy Search in Decentralized
     * POMDPs.  Frans Oliehoek, Julian Kooi, Nikos
     * Vlassis. Informatica, vol 32, 2008.
     */
    ref refDICEPS;

    /**Joris M. Mooij
     * libDAI: A Free and Open Source C++ Library for Discrete Approximate Inference in Graphical Models
     * Journal of Machine Learning Research 11(Aug):2169-2173, 2010
     */
    ref refLibDAI;

    /** Nair, Tambe, Yokoo, Pynadath, and Marsella, "Taming
     *  Decentralized POMDPs: Towards efficient policy computation for
     *  multiagent settings", IJCAI 2003.
     */
    ref refJESP;

    /**Rosemary Emery-Montemerlo, Geoff Gordon, Jeff Schneider and Sebastian Thrun. 
     * Approximate Solutions for Partially Observable Stochastic Games with Common Payoffs. 
     * Proceedings of the Third International Joint Conference on Autonomous Agents and Multiagent Systems (AAMAS), pp.136--143. New York, N.Y., July 2004. 
     */
    ref refAM;

//}

